extend("fiskheroes:hero_basic");
loadTextures({
   "layer1": "pack:rogue_ultimate_layer1",
    "layer2": "pack:rogue_ultimate_layer2"
});

var utils = implement("fiskheroes:external/utils");


var chest;




function initEffects(renderer) {
	
  chest = renderer.createEffect("fiskheroes:chest");
    chest.setExtrude(0.55).setYOffset(1);
	
    utils.addCameraShake(renderer, 0.015, 1.5, "fiskheroes:flight_boost_timer");

    // Charged Beam
}

function initAnimations(renderer) {
	
    utils.addFlightAnimation(renderer, "mmcw.FLIGHT", "fiskheroes:flight/default_arms_forward.anim.json");
    utils.addHoverAnimation(renderer, "mmcw.HOVER", "fiskheroes:flight/idle/neutral");
}

function render(entity, renderLayer, isFirstPersonArm) {
    if (!isFirstPersonArm && renderLayer == "BOOTS") {

    }
    else if (renderLayer == "CHESTPLATE") {
     
          chest.render();
        }
    }

